//
// Base styles
//

.accordion {
  // scss-docs-start accordion-css-vars
  --#{$prefix}accordion-color: #{$accordion-color};
  --#{$prefix}accordion-bg: #{$accordion-bg};
  --#{$prefix}accordion-transition: #{$accordion-transition};
  --#{$prefix}accordion-border-color: #{$accordion-border-color};
  --#{$prefix}accordion-border-width: #{$accordion-border-width};
  --#{$prefix}accordion-border-radius: #{$accordion-border-radius};
  --#{$prefix}accordion-inner-border-radius: #{$accordion-inner-border-radius};
  --#{$prefix}accordion-btn-padding-x: #{$accordion-button-padding-x};
  --#{$prefix}accordion-btn-padding-y: #{$accordion-button-padding-y};
  --#{$prefix}accordion-btn-color: #{$accordion-button-color};
  --#{$prefix}accordion-btn-bg: #{$accordion-button-bg};
  --#{$prefix}accordion-btn-icon: #{escape-svg($accordion-button-icon)};
  --#{$prefix}accordion-btn-icon-width: #{$accordion-icon-width};
  --#{$prefix}accordion-btn-icon-transform: #{$accordion-icon-transform};
  --#{$prefix}accordion-btn-icon-transition: #{$accordion-icon-transition};
  --#{$prefix}accordion-btn-active-icon: #{escape-svg($accordion-button-active-icon)};
  --#{$prefix}accordion-btn-focus-border-color: #{$accordion-button-focus-border-color};
  --#{$prefix}accordion-btn-focus-box-shadow: #{$accordion-button-focus-box-shadow};
  --#{$prefix}accordion-body-padding-x: #{$accordion-body-padding-x};
  --#{$prefix}accordion-body-padding-y: #{$accordion-body-padding-y};
  --#{$prefix}accordion-active-color: #{$accordion-button-active-color};
  --#{$prefix}accordion-active-bg: #{$accordion-button-active-bg};
  // scss-docs-end accordion-css-vars
}

.accordion-button {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
    color: $dark;
    border: none;
    outline: none;
    font-weight: 300;
    min-height: rem(50);
    font-size: rem(15);
    line-height: rem(20);
    padding: rem(4) rem(64);
    text-align: left;
    background-color: $white;
    border-radius: 0;
    overflow-anchor: none;
    transition: .3s;

    &:not(.collapsed) {
  //      color: var(--#{$prefix}accordion-active-color);

        &::after {
       //     background-image: var(--#{$prefix}accordion-btn-active-icon);
            transform: var(--#{$prefix}accordion-btn-icon-transform);
        }
    }

  // Accordion icon
    &::after {
        right: rem(16);
        top: calc(50% - 10px);
        z-index: 10;
        flex-shrink: 0;
        position: absolute;
        width: var(--#{$prefix}accordion-btn-icon-width);
        height: var(--#{$prefix}accordion-btn-icon-width);
        margin-left: auto;
        content: "";
        background-image: var(--#{$prefix}accordion-btn-icon);
        background-repeat: no-repeat;
        background-size: var(--#{$prefix}accordion-btn-icon-width);
        @include transition(var(--#{$prefix}accordion-btn-icon-transition));
        transform: rotate(-90deg);
  }

    &:before {
        top: 0;
        right: 0;
        bottom: 0;
        z-index: 1;
        content: '';
        width: rem(55);
        position: absolute;
        background: #eaeaea;
    }

    &:hover {
    z-index: 2;
  }

    &:focus {
    z-index: 3;
 //   border-color: var(--#{$prefix}accordion-btn-focus-border-color);
    outline: 0;
 //   box-shadow: var(--#{$prefix}accordion-btn-focus-box-shadow);
  }

    @include media-breakpoint-up(xl) {
        font-size: rem(18);
        line-height: rem(22);
        min-height: rem(58);
        padding: rem(4) rem(80);

        &:after {
            right: rem(22);
        }

        &:before {
            width: rem(65);
        }
    }
}

.accordion-icon {
    top: 0;
    left: 0;
    bottom: 0;
    width: rem(55);
    position: absolute;
    background: #d24a44 url("../img/icon__faq.webp") 50% 50% no-repeat;

    @include media-breakpoint-up(xl) {
        width: rem(60);
    }
}

.accordion-header {
  margin-bottom: 0;
}

.accordion-item {
    border-radius: 4px;
    overflow: hidden;
    margin-bottom: rem(10);
    color: var(--#{$prefix}accordion-color);
    background-color: var(--#{$prefix}accordion-bg);
    border: 1px solid #d24a44;

    @include media-breakpoint-up(lg) {
        margin-bottom: rem(10);

        &:last-child {
            margin-bottom: 0;
        }
    }

  &:first-of-type {


    .accordion-button {
      @include border-top-radius(var(--#{$prefix}accordion-inner-border-radius));
    }
  }

  &:not(:first-of-type) {

  }

  // Only set a border-radius on the last item if the accordion is collapsed
  &:last-of-type {
    @include border-bottom-radius(var(--#{$prefix}accordion-border-radius));

    .accordion-button {
      &.collapsed {
        @include border-bottom-radius(var(--#{$prefix}accordion-inner-border-radius));
      }
    }

    .accordion-collapse {
      @include border-bottom-radius(var(--#{$prefix}accordion-border-radius));
    }
  }
}

.accordion-body {
    font-weight: 300;
    font-size: rem(15);
    line-height: rem(22);
    padding: var(--#{$prefix}accordion-body-padding-y) var(--#{$prefix}accordion-body-padding-x);
    border-top: 1px solid $red;

    @include media-breakpoint-up(xl) {
        font-size: rem(17);
        line-height: rem(24);
    }
}


// Flush accordion items
//
// Remove borders and border-radius to keep accordion items edge-to-edge.

.accordion-flush {
  .accordion-collapse {
    border-width: 0;
  }

  .accordion-item {
    border-right: 0;
    border-left: 0;
    @include border-radius(0);

    &:first-child { border-top: 0; }
    &:last-child { border-bottom: 0; }

    .accordion-button {
      &,
      &.collapsed {
        @include border-radius(0);
      }
    }
  }
}

// Custom Styles

.accordion-grid {
    display: grid;
    grid-row-gap: rem(10);
    grid-template-columns: 1fr;
    align-items: flex-start;

    @include media-breakpoint-up(lg) {
        grid-row-gap: rem(15);
        grid-column-gap: rem(15);
        grid-template-columns: 1fr 1fr;
    }

    @include media-breakpoint-up(xl) {}
}
